
%global meadversion 2.2.0
%global namedversion 2.2.0.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}javaee-jpa-spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.2.0.redhat-1

Name:           %{?scl_prefix}javaee-jpa-spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java(TM) Persistence API
Group:          Development/Java

%if %with mead
Source100: javax.persistence-api-2.2.0.redhat-1-scm-sources.zip
Source102: javax.persistence-api-2.2.0.redhat-1-sources.jar
Source103: javax.persistence-api-2.2.0.redhat-1-javadoc.jar
Source104: javax.persistence-api-2.2.0.redhat-1-project-sources.tar.gz
Source105: javax.persistence-api-2.2.0.redhat-1.pom
Source106: javax.persistence-api-2.2.0.redhat-1.jar
%endif

License:        EPL-1.0 or BSD
URL:            https://github.com/javaee/jpa-spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/javaee-jpa-spec-%{namedversion}-%{release}-root

%description
Java(TM) Persistence API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for javaee-jpa-spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n javax.persistence-api -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/javax.persistence-api-%{namedversion}.jar %{buildroot}%{_javadir}/javax.persistence-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/javax.persistence-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/javax.persistence-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/javax.persistence-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/javax.persistence-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/javaee-jpa-spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/javax.persistence-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/javax.persistence-api-%{namedversion} -x META-INF/\*
%{__ln_s} javaee-jpa-spec-%{namedversion} %{buildroot}%{_javadocdir}/javaee-jpa-spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}javaee-jpa-spec
%defattr(0644,root,root,0755)
%if 0
%doc CONTRIBUTING.md README.md
%endif
%{_javadir}/javax.persistence-api-%{namedversion}.jar
%{_javadir}/javax.persistence-api.jar
%if %with javadoc
%{_javadir}/javax.persistence-api-%{namedversion}-javadoc.jar
%{_javadir}/javax.persistence-api-javadoc.jar
%endif
%{_javadir}/javax.persistence-api-%{namedversion}-sources.jar
%{_javadir}/javax.persistence-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/javaee-jpa-spec-%{namedversion}
%{_javadocdir}/javaee-jpa-spec
%endif

%changelog
* Wed Jun 06 2018 Yong Yang <yyang@redhat.com> - 2.2.0-1.redhat_1.1
-  2.2.0.redhat-1 

* Wed Jun 06 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.2.0-1.redhat_1.1
- upgrade to 2.2.0.redhat-1

* Wed Jun 06 2018 Yong Yang <yyang@redhat.com> - 2.2.0-1.redhat_1.1
- 2.2.0.redhat-1
